#property copyright "www.fxprosystem.com"
#property link      "www.fxprosystem.com"

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 Teal

extern int TimeFrame = 0;
extern int Signalvolatility = 2;
int gi_84 = 24;
double g_ibuf_88[];
double g_ibuf_92[];
double g_bars_96;
double POZA[];

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   string ls_0;
   POZA[0] = 0;
   SetIndexStyle(0, DRAW_ARROW, STYLE_DASHDOTDOT);
   SetIndexStyle(1, DRAW_ARROW, STYLE_DASHDOTDOT);
   SetIndexArrow(1, 233);
   SetIndexArrow(0, 234);
   SetIndexBuffer(0, g_ibuf_88);
   SetIndexBuffer(1, g_ibuf_92);
   SetIndexBuffer(2, POZA);
   switch (TimeFrame) {
   case 1:
      ls_0 = "Period_M1";
      break;
   case 5:
      ls_0 = "Period_M5";
      break;
   case 15:
      ls_0 = "Period_M15";
      break;
   case 30:
      ls_0 = "Period_M30";
      break;
   case 60:
      ls_0 = "Period_H1";
      break;
   case 240:
      ls_0 = "Period_H4";
      break;
   case 1440:
      ls_0 = "Period_D1";
      break;
   case 10080:
      ls_0 = "Period_W1";
      break;
   case 43200:
      ls_0 = "Period_MN1";
      break;
   default:
      ls_0 = "Current Timeframe";
   }
   IndicatorShortName("FPS Signal(" + ls_0 + ")");
   return (0);
}
		  			 	 	   			 	 	  			   	 		 		    		  		  	 	  					 		    	 	 		  		 	  	  		  		  						   		 	 		 					   		 	  	 		 			 	 	      						
// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   int lia_0[];
   int highest_4;
   int lowest_8;
   int index_12 = 0;
   int li_16 = IndicatorCounted();
   ArrayCopySeries(lia_0, 5, Symbol(), TimeFrame);
   int li_20 = Bars - li_16;
   int li_24 = 0;
   index_12 = 0;
   POZA[0] = 0;
   if (li_24 < li_20) {
      if (Time[li_24] < lia_0[index_12]) index_12++;
      if (li_16 < 0) return (-1);
      if (li_16 > 0) li_16--;
      li_20 = Bars - 1;
      if (li_16 >= 1) li_20 = Bars - li_16 - 1;
      if (li_20 < 0) li_20 = 0;
      for (li_24 = li_20; li_24 >= 0; li_24--) {
         highest_4 = iHighest(NULL, 0, MODE_HIGH, gi_84, li_24 - gi_84 / 2);
         lowest_8 = iLowest(NULL, 0, MODE_LOW, gi_84, li_24 - gi_84 / 2);
         if (li_24 == highest_4) {
            g_ibuf_88[li_24] = High[highest_4] + Signalvolatility * Point;
            if (li_24 == 1 && Bars > g_bars_96) POZA[0] = 1;
            g_bars_96 = Bars;
         }
         if (li_24 == lowest_8) {
            g_ibuf_92[li_24] = Low[lowest_8] - Signalvolatility * Point;
            if (li_24 == 1 && Bars > g_bars_96) POZA[0] = 2;
            g_bars_96 = Bars;
         }  
      }
      return (0);
   }
   return (0);
}